Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.enc
Interface EncryptionProperty

All Superinterfaces:
  XMLStructure

    public interface EncryptionProperty

extends XMLStructure

A representation of the XML `EncryptionProperty` element as defined in the W3C Recommendation for XML-Encryption Syntax and Processing. The XML Schema Definition is defined as:

     <element name='EncryptionProperty' type='xenc:EncryptionPropertyType'/>
     <complexType name='EncryptionPropertyType' mixed='true'>
            <choice maxOccurs='unbounded'>
               <any namespace='##other' processContents='lax'/>
            </choice>
            <attribute name='Target' type='anyURI' use='optional'/>
            <attribute name='Id' type='ID' use='optional'/>
            <anyAttribute namespace="http://www.w3.org/XML/1998/namespace"/>
     </complexType>

Method Summary
`java.util.Map` | `getAttributes()` Returns an unmodifiable map of attributes from the XML namespace, where the keys are the name of the attributes (ex: `xml:space`, `xml:lang`, `xml:base`).
`java.util.List` | `getContent()` Returns an unmodifiable list of `XMLStructure`s.
`java.lang.String` | `getId()` Returns the optional `ID`.
`java.lang.String` | `getTarget()` Returns the target URI of the `EncryptedType` structure that this property describes.

Methods inherited from interface javax.xml.crypto.XMLStructure
`isFeatureSupported`

Method Detail

### getContent

    java.util.List getContent()

  Returns an unmodifiable list of `XMLStructure`s.

  Returns:
    an unmodifiable list of `XMLStructure`s (never `null` or empty)

### getTarget

    java.lang.String getTarget()

  Returns the target URI of the `EncryptedType` structure that this property describes.

  Returns:
    the target URI, or `null` if not specified

### getId

    java.lang.String getId()

  Returns the optional `ID`.

  Returns:
    the `ID`, or `null` if not specified

### getAttributes

    java.util.Map getAttributes()

  Returns an unmodifiable map of attributes from the XML namespace, where the keys are the name of the attributes (ex: `xml:space`, `xml:lang`, `xml:base`).

  Returns:
    an unmodifiable map of attributes (may be empty, or `null` if not specified)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org